Endpoint for getting a report by report id
curl --request GET \
--url https://api.example.com/api/v0/reports/{report_id}import requests
url = "https://api.example.com/api/v0/reports/{report_id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/api/v0/reports/{report_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/v0/reports/{report_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/v0/reports/{report_id}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/api/v0/reports/{report_id}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/v0/reports/{report_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"isPrivate": true,
"projectTitle": "<string>",
"companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"companyHandle": "<string>",
"clientName": "<string>",
"clientLogo": "<string>",
"engagementKind": "spearbit_web3",
"engagementStartDate": "2023-11-07T05:31:56Z",
"engagementEndDate": "2023-11-07T05:31:56Z",
"repositoryLinks": [
"<string>"
],
"commitHashes": [
"<string>"
],
"typeOfProject": [
"<string>"
],
"teamMembers": [
{
"reportId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"rankDuringAudit": "lsr",
"auditorPublicProfile": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"username": "<string>",
"avatar": "<string>",
"isBot": true,
"verifiedProfile": true,
"isNdaSigned": true,
"reputation": 123,
"skills": [
{
"id": 123,
"name": "<string>",
"description": "<string>",
"category": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"archivedAt": "2023-11-07T05:31:56Z"
},
"status": "self_reported",
"archivedAt": "2023-11-07T05:31:56Z",
"createdBy": {
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"username": "<string>",
"avatar": "<string>",
"disabledAt": "2023-11-07T05:31:56Z"
},
"validatedBy": {
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"username": "<string>",
"avatar": "<string>",
"disabledAt": "2023-11-07T05:31:56Z"
}
}
],
"badges": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"image": "<string>",
"description": "<string>",
"issuedAt": "2023-11-07T05:31:56Z"
}
],
"createdAt": "2023-11-07T05:31:56Z",
"github": "<string>",
"twitter": "<string>",
"tagline": "<string>",
"bio": "<string>",
"website": "<string>",
"guildAffiliation": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"rank": "lsr",
"fellowshipLevel": "apprentice"
}
}
],
"findingStats": [
{
"severity": "critical",
"totalCount": 123,
"fixedCount": 123
}
],
"createdBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"publishedAt": "2023-11-07T05:31:56Z",
"seoTitle": "<string>",
"seoDescription": "<string>",
"description": "<string>",
"clientWebsite": "<string>",
"engagementId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"repositoryId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"guildId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"reportPdfLink": "<string>",
"findings": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"number": 123,
"attributedTo": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"description": "<string>",
"status": "new",
"severity": "critical",
"createdBy": {
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"username": "<string>",
"avatar": "<string>",
"disabledAt": "2023-11-07T05:31:56Z"
},
"createdAt": "2023-11-07T05:31:56Z",
"likelihood": "high",
"impact": "high",
"fixedBy": [
"<string>"
],
"relatedFiles": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"path": "<string>",
"lines": {
"start": 123,
"end": 123
},
"language": "<string>",
"relevantContent": "<string>"
}
],
"companyName": "<string>",
"companyLogo": "<string>"
}
]
}{
"type": "email_not_verified",
"msg": "<string>"
}{
"type": "email_not_verified",
"msg": "<string>"
}{
"type": "email_not_verified",
"msg": "<string>"
}Endpoint for getting a report by report id
Access control rules
- Publicly accessible.
GET
/
api
/
v0
/
reports
/
{report_id}
Endpoint for getting a report by report id
curl --request GET \
--url https://api.example.com/api/v0/reports/{report_id}import requests
url = "https://api.example.com/api/v0/reports/{report_id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/api/v0/reports/{report_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/v0/reports/{report_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/v0/reports/{report_id}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/api/v0/reports/{report_id}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/v0/reports/{report_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"isPrivate": true,
"projectTitle": "<string>",
"companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"companyHandle": "<string>",
"clientName": "<string>",
"clientLogo": "<string>",
"engagementKind": "spearbit_web3",
"engagementStartDate": "2023-11-07T05:31:56Z",
"engagementEndDate": "2023-11-07T05:31:56Z",
"repositoryLinks": [
"<string>"
],
"commitHashes": [
"<string>"
],
"typeOfProject": [
"<string>"
],
"teamMembers": [
{
"reportId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"rankDuringAudit": "lsr",
"auditorPublicProfile": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"username": "<string>",
"avatar": "<string>",
"isBot": true,
"verifiedProfile": true,
"isNdaSigned": true,
"reputation": 123,
"skills": [
{
"id": 123,
"name": "<string>",
"description": "<string>",
"category": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"archivedAt": "2023-11-07T05:31:56Z"
},
"status": "self_reported",
"archivedAt": "2023-11-07T05:31:56Z",
"createdBy": {
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"username": "<string>",
"avatar": "<string>",
"disabledAt": "2023-11-07T05:31:56Z"
},
"validatedBy": {
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"username": "<string>",
"avatar": "<string>",
"disabledAt": "2023-11-07T05:31:56Z"
}
}
],
"badges": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"image": "<string>",
"description": "<string>",
"issuedAt": "2023-11-07T05:31:56Z"
}
],
"createdAt": "2023-11-07T05:31:56Z",
"github": "<string>",
"twitter": "<string>",
"tagline": "<string>",
"bio": "<string>",
"website": "<string>",
"guildAffiliation": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"rank": "lsr",
"fellowshipLevel": "apprentice"
}
}
],
"findingStats": [
{
"severity": "critical",
"totalCount": 123,
"fixedCount": 123
}
],
"createdBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"publishedAt": "2023-11-07T05:31:56Z",
"seoTitle": "<string>",
"seoDescription": "<string>",
"description": "<string>",
"clientWebsite": "<string>",
"engagementId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"repositoryId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"guildId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"reportPdfLink": "<string>",
"findings": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"number": 123,
"attributedTo": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"description": "<string>",
"status": "new",
"severity": "critical",
"createdBy": {
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"username": "<string>",
"avatar": "<string>",
"disabledAt": "2023-11-07T05:31:56Z"
},
"createdAt": "2023-11-07T05:31:56Z",
"likelihood": "high",
"impact": "high",
"fixedBy": [
"<string>"
],
"relatedFiles": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"path": "<string>",
"lines": {
"start": 123,
"end": 123
},
"language": "<string>",
"relevantContent": "<string>"
}
],
"companyName": "<string>",
"companyLogo": "<string>"
}
]
}{
"type": "email_not_verified",
"msg": "<string>"
}{
"type": "email_not_verified",
"msg": "<string>"
}{
"type": "email_not_verified",
"msg": "<string>"
}Path Parameters
Query Parameters
If this is false, the related_files field will be empty.
Defaults to true.
Response
Report
Kind of [Engagement].
Available options:
spearbit_web3, spearbit_web2, spearbit_vciso, cantina_managed, cantina_guild, cantina_solo, public_competition, private_competition, public_bounty, private_bounty Show child attributes
Show child attributes
Show child attributes
Show child attributes
Custom text for the TITLE tag when the report is viewed in a browser
Custom text for the META description tag when the report is viewed in a browser
Description of the report
Show child attributes
Show child attributes